Page MenuHomePhabricator

Restore all default settings (in all sections)" will not opt-out of SD on User talk page
Open, Needs TriagePublic

Description

The issue is present on wikis that still have 'Structured Discussions on user talk' as a beta feature, including betalabs.

On cawiki click "Restore all default settings (in all sections)" All beta features checkboxes become unchecked.
When you check User talk page - it is still in the SD format.

Note: 'Structured Discussions on user talk' feature works when you click/un-click it.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 9:35 PM
SBisson added a subscriber: SBisson.Jan 5 2018, 2:06 PM

There are also intermittent errors on SD User talk page (after 'Structured Discussions on user talk' is clicked):
TypeError: Cannot read property 'TourBuilder' of undefined
TypeError: gt.TourBuilder is not a constructor TypeError: gt.TourBuilder is not a constructor

This was fixed in https://gerrit.wikimedia.org/r/#/c/401739/

SBisson updated the task description. (Show Details)Jan 5 2018, 2:07 PM
SBisson renamed this task from [wmf.11-regression] "Restore all default settings (in all sections)" will not opt-out of SD on User talk page to Restore all default settings (in all sections)" will not opt-out of SD on User talk page .Jan 8 2018, 8:16 PM
SBisson claimed this task.
SBisson removed a project: Regression.

In the "how did this ever work?" category.

Patch coming.

Change 403082 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Use UserSaveSettings hook for opt in/out of beta feature

https://gerrit.wikimedia.org/r/403082

Change 403082 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Use UserSaveSettings hook for opt in/out of beta feature

https://gerrit.wikimedia.org/r/403082

I'm not sure it is a good idea to restore the talk page to the initial state. Restoring is a big change that impacts more users only the one restoring the settings: everyone watching the page will see the change. OTOH, I'm not sure about how many people use that feature...

@Trizek-WMF "Restore all default settings (in all sections)" is not used often, afaik. And restoring to default should do just that - restoring to defaults. Since SD on user talk pages is still in beta features, the default format for User talk page is not SD. On the other hand, if some of the beta features may be defaults....

@SBisson - "Restore all default settings (in all sections)" does not convert SD User talk page to wikitext page. In wmf.16 the error page will be displayed (which is un-related to the patch, of course since the patch has not yet deployed) - T184670: [wmf.16-regression] Fatal exception of type "Flow\Exception\InvalidDataException" for opting out from "Structured Discussions on user talk".

Could it be that the betalabs has different configuration for defaults?

@Trizek-WMF "Restore all default settings (in all sections)" is not used often, afaik. And restoring to default should do just that - restoring to defaults. Since SD on user talk pages is still in beta features, the default format for User talk page is not SD. On the other hand, if some of the beta features may be defaults....

Structured discussions is the only Beta feature not to be enabled automatically if you have selected the "Automatically enable all new beta features" option. I was following the idea of that privileged treatment. :)

@Trizek-WMF Regarding the following comment:

I'm not sure it is a good idea to restore the talk page to the initial state.

Actually, it's a really good point. However, even if we decide do not revert a User talk page to non-SD format after 'Restore all default settings...", then the Beta features page should reflect this - the box should still be checked for the feature. Now, it's really confusing for a user - the check box becomes un-checked, but the User talk page is still in SD format.

Good point, which replies to my initial worries. Let's move on following the plan.

Etonkovidova added a comment.EditedJan 20 2018, 2:00 AM

I re-checked in betalabs - "Restore all default settings (in all sections)" does not convert SD User talk page to wikitext page. I am moving the task to Blocked, so we can review the issue later.

@gerritbot missed to add https://gerrit.wikimedia.org/r/#/c/416199/ as open patch for review. Probably because I removed as subscriber above. Not sure how only tag Patch-For-Review got through.

Catrope added a subscriber: Catrope.Mar 3 2018, 2:36 AM

Not sure why @gerritbot keeps failing to update this task, but the patch for this was merged a while ago. I uploaded a revert of it today, because it broke things: https://gerrit.wikimedia.org/r/#/c/416199/

Mentioned in SAL (#wikimedia-operations) [2018-03-05T14:36:40Z] <hashar@tin> Started scap: core + Flow, master/replicate race condition - T182358 T184670

Mentioned in SAL (#wikimedia-operations) [2018-03-05T14:41:05Z] <hashar@tin> Finished scap: core + Flow, master/replicate race condition - T182358 T184670 (duration: 04m 24s)

My initial attempt at this task failed because:

  1. The implementation was relying on a Core bug that is now fixed. A different approach would be needed.
  2. A mcr-related Core bug caused the beta feature to be completely broken roughly at the same time, so we were blocked on this task specifically for a while.

@jmatazzoni, given our change of focus, I suggest we send this back to the backlog.

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 6 2018, 1:45 PM
SBisson removed SBisson as the assignee of this task.Nov 19 2018, 1:31 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.